Bug 1285234 - [ALL LANG] Unlocalized 'Ok' button in each dialog.
[ALL LANG] Unlocalized 'Ok' button in each dialog.
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity medium
: DR2
: 6.3.0
Assigned To: Cristiano Nicolai
Lukáš Petrovický
: Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 04:28 EST by Lijun Li
Modified: 2018-01-29 08:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unlocalized 'Ok' button in each dialog. (19.83 KB, image/png)
2015-11-25 04:42 EST, Lijun Li
no flags Details
updated ui (29.63 KB, image/png)
2016-02-19 03:19 EST, Cristiano Nicolai
no flags Details

  None (edit)
Description Lijun Li 2015-11-25 04:28:25 EST
Description of problem:
Unlocalized 'Ok' button in each dialog.

Version-Release number of selected component (if applicable):
6.2.0.ER 5

How reproducible:
100%

Steps to Reproduce:
1. Login bpms with no en_US locale.
2. Click Workbench Settings or About icon from top right.

Actual results:
Unlocalized 'Ok' button in each dialog.

Expected results:
It should be localized.

Additional info:
Please see the attached screen-shot.
Comment 2 Lijun Li 2015-11-25 04:42 EST
Created attachment 1098643 [details]
Unlocalized 'Ok' button in each dialog.
Comment 3 Cristiano Nicolai 2016-02-11 00:40:28 EST
I believe the problem is related to zh_CN where OK hasn't been properly translated.

https://github.com/cristianonicolai/uberfire-extensions/blob/master/uberfire-widgets/uberfire-widgets-commons/src/main/resources/org/uberfire/ext/widgets/common/client/resources/i18n/CommonConstants_zh_CN.properties

Any chance some expert in the language could translate it?
Comment 4 Cristiano Nicolai 2016-02-11 00:44:07 EST
(In reply to Cristiano Nicolai from comment #3)
> I believe the problem is related to zh_CN where OK hasn't been properly
> translated.
> 
> https://github.com/cristianonicolai/uberfire-extensions/blob/master/uberfire-
> widgets/uberfire-widgets-commons/src/main/resources/org/uberfire/ext/widgets/
> common/client/resources/i18n/CommonConstants_zh_CN.properties
> 
> Any chance some expert in the language could translate it?

Correct link to upstream repository: 

https://github.com/uberfire/uberfire-extensions/blob/master/uberfire-widgets/uberfire-widgets-commons/src/main/resources/org/uberfire/ext/widgets/common/client/resources/i18n/CommonConstants_zh_CN.properties
Comment 5 Lijun Li 2016-02-15 04:45:02 EST
Hi Angela, could you let translator for a update?

Thanks,
Robert
Comment 6 Wei Liu 2016-02-15 23:01:45 EST
Hi Robert,

The term "Ok" was translated in Zanata, not sure how this bug incurred. I can see that in 

https://github.com/uberfire/uberfire-extensions/blob/master/uberfire-widgets/uberfire-widgets-commons/src/main/resources/org/uberfire/ext/widgets/common/client/resources/i18n/CommonConstants_zh_CN.properties

the string "OK" is not translated, however it doesnt appear in Zanata. Maybe a new string should be pushed into zanata? (just a thought)

cheers
Leah
Comment 7 Lijun Li 2016-02-16 00:09:46 EST
Hi Cristiano Nicolai,

Could you confirm Comment 6?

Thanks,
Robert
Comment 8 Cristiano Nicolai 2016-02-19 03:19 EST
Created attachment 1128486 [details]
updated ui

After pulling latest changes from Zanata I could check that the label is now translated. Thanks
Comment 9 Martin Zilak 2016-03-04 09:41:14 EST
Hello.

I've tried this with 6.3.0.DR2 and the "Ok" button seems to be translated only in Spanish and Chinese (in Japanese, it is all uppercase - "OK" - which is possibly correct). 

In all of the other languages, it still says "Ok", but I'm not sure whether it is on purpose or not (perhaps https://en.wikipedia.org/wiki/OK isn't the best source of information for this).

Cristiano, can you give me more information on this? Do the other languages also use the word "Ok"?

Thank you.
Comment 10 Cristiano Nicolai 2016-03-08 01:01:20 EST
Hi Martin,

Here is the latest translation pulled from as of today:

de: OK=Ok
es: OK=Aceptar
fr: OK=Ok
ja: OK=OK
pt_BR: OK=Ok
ru: OK=ОК
zn_CN: OK=确定
zn_TW: OK=確定


That should be the exact match you see in the UI.
Comment 11 Cristiano Nicolai 2016-03-08 01:02:10 EST
*pulled from Zanata.
Comment 12 Martin Zilak 2016-03-09 06:11:12 EST
Hello Cristiano,

thanks for making this clear. I'm marking this as verified.

Note You need to log in before you can comment on or make changes to this bug.